WRITE(1)

NAME
write - send a message to another user

write user [ttyname]

DESCRIPTION

write allows you to communicate with other users, by copying lines from your terminal to theirs.

When you run the write command, the user you are writing to gets a message of the form:

    Message from yourname@yourhost on yourtty at hh:mm ...

Any further lines you enter will be copied to the specified user’s terminal. If the other user wants to reply, they must run write as well.

When you are done, type an end-of-file or interrupt character. The other user will see the message EOF indicating that the conversation is over.

You can prevent people (other than the superuser) from writing to you with the mesg(1) command. Some commands, for example nroff(1) and pr(1), may automatically disallow writing, so that the output they produce isn’t overwritten.

If the user you want to write to is logged in on more than one terminal, you can specify which terminal to write to by giving the terminal name as the second operand to the write command. Alternatively, you can let write select one of the terminals - it will pick the one with the shortest idle time. This is so that if the user is logged in at work and also dialed up from home, the message will go to the right place.

The traditional protocol for writing to someone is that the string -o, either at the end of a line or on a line by itself, means that it’s the other person’s turn to talk. The string oo means that the person believes the conversation to be over.

OPTIONS

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

HISTORY

A write command appeared in Version 6 AT&T UNIX.

SEE ALSO

mesg(1), talk(1), who(1)

REPORTING BUGS

For bug reports, use the issue tracker at

AVAILABILITY

The write command is part of the util-linux package which can be downloaded from